<!DOCTYPE html>
<html xmlns:th="http://www.thyleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Lista Hotel</title>
<link th:href = "@{/css/bootstrap.min.css}" rel="stylesheet">
</head>
<body>

	<div class="container">
		<h2>Lista Hotel</h2>
     	<table class="table table-responsive table-bordered table-striped">
     		<thead>
     			<tr>
     				<th style="width:25%" scope="col">Nome</th>
     				<th style="width:25%" scope="col">Citta'</th>
     				<th style="width:25%" scope="col">Stelle</th>
     				<th style="width:5%" scope="col"></th>
     				<th style="width:5%" scope="col"></th>
     				<th style="width:5%" scope="col"></th>
     			</tr>
            </thead>
            <tbody>
                <tr th:each="hotel : ${listaHotel}">
                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_nome}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_citta}"></td>
                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_stelle}"></td>
              
                     
                    <td> <a href="#" th:href="@{|/hotel/${hotel.hotel_id}|}">dettagli</a> </td>
                	<td> <a href="#" th:href="@{|/hotel/modifica_hotel/${hotel.hotel_id}|}">modifica</a> </td>
                	<td> <a href="#" th:href="@{|/hotel/elimina_hotel/${hotel.hotel_id}|}">elimina</a> </td>
                </tr>
 			</tbody>
        </table>
     </div>
     
     <br>
     <br>
     <br>
     

     <div class="container"> 
     	 <h3>Crea un nuovo Hotel </h3>
     	
		<form action="#" method="post" th:action="@{/hotel}" th:object="${nuovoHotel}">
			<label> Nome</label> <br>
			<input type="text" th:field="*{hotel_nome}" required />
			<br>
			<label> Citta</label>  <br>
			<input type="text" th:field="*{hotel_citta}" required />
			<br>
			<label> Stelle</label> <br>
			<input type="text" th:field="*{hotel_stelle}" required />
			<br>
			<label> Descrizione</label>  <br>
			<input type="text" th:field="*{hotel_descrizione}"/>
			<br>
			<input type="submit" value="salva"/>
		</form>     
     </div>

</body>
</html>